Subject: Re: bug#30764: 26.0.91; On macOS, deleting a full screen frame crashes

From: Alan Third <[email-masked]>
Date: Sat, 10 Mar 2018 22:34:50 +0000

On Sat, Mar 10, 2018 at 01:10:02PM -0800, John Wiegley wrote:
> Steps:
> 
>   1. Switch to full screen. I use this function to do it:
> 
>         (defun emacs-max ()
>           (interactive)
>           (cl-flet ((set-param (p v) (set-frame-parameter (selected-frame) p v)))
>             (set-param 'fullscreen 'fullboth)
>             (set-param 'vertical-scroll-bars nil)
>             (set-param 'horizontal-scroll-bars nil))
>           (set-frame-font emacs-min-font))
> 
>   2. Create another frame with C-x 5 2
> 
>   3. Delete that frame with C-x 5 0
> 
> Crashes every time for me, and has for months, I just forget to report it.

This should have been fixed in Emacs 26 already. I certainly can’t
replicate it now.
-- 
Alan Third